Commits

Anonymous committed c5b4981

Changing functional_tests/test_defaultpluginmanager.py to support py2.4, 2.5 and Jython

Comments (0)

Files changed (2)

functional_tests/test_defaultpluginmanager.py

         pm = DefaultPluginManager()
         pm.addPlugins(extraplugins=[OverridesSkip()])
         pm.loadPlugins()
-        skip_plugin = next(p for p in pm.plugins if p.name == "skip")
-        overridden = getattr(skip_plugin, 'is_overridden', False)
+        for plugin in pm.plugins:
+            if plugin.name == "skip":
+                break
+        overridden = getattr(plugin, 'is_overridden', False)
         self.assertTrue(overridden)
 .SH COPYRIGHT
 LGPL
 
-.\" Generated by docutils manpage writer on 2011-11-03 16:30.
+.\" Generated by docutils manpage writer on 2011-11-15 13:56.
 .\"